OnlyFans API
FanslyLists

Update List

Update an existing list's label (and optionally type). To reorder lists, use the Reorder Lists endpoint.

PUT
/api/fansly/{fanslyAccount}/lists/{list_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

list_id*string

The Fansly list ID.

Request Body

application/json

label*string

The updated label.

type?integer

List type code. Defaults to 1.

Response Body

application/json

curl -X PUT "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/lists/918632596873703425" \  -H "Content-Type: application/json" \  -d '{    "label": "VIPs (renamed)"  }'
{
  "data": {
    "id": "200000000000000003",
    "accountId": "800000000000000001",
    "pos": null,
    "type": 1,
    "label": "Test list (renamed)"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055788,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}